Distributions
GET /draws
List draws with bidirectional cursor-based pagination
GET
/
draws
cURL
curl --request GET \
--url https://admin.fanfare.io/api/draws \
--header 'Authorization: Bearer <token>'{
"data": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"drawAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeZone": "<string>",
"winnerCount": 123,
"admissionExpirationSeconds": 123,
"capacity": 123,
"closeAt": "2023-11-07T05:31:56Z",
"continueSelectingUntilCompleted": true,
"loyaltyBiasEnabled": true,
"openAt": "2023-11-07T05:31:56Z",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>"
}
}⌘I
cURL
curl --request GET \
--url https://admin.fanfare.io/api/draws \
--header 'Authorization: Bearer <token>'{
"data": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"drawAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeZone": "<string>",
"winnerCount": 123,
"admissionExpirationSeconds": 123,
"capacity": 123,
"closeAt": "2023-11-07T05:31:56Z",
"continueSelectingUntilCompleted": true,
"loyaltyBiasEnabled": true,
"openAt": "2023-11-07T05:31:56Z",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>"
}
}